Create Custom Asset
curl --request POST \
--url https://api.centosfi.com/v1/custom-assets \
--header 'Content-Type: application/json' \
--data '
{
"subaccount_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"centos_ids": [
123
]
}
'import requests
url = "https://api.centosfi.com/v1/custom-assets"
payload = {
"subaccount_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"centos_ids": [123]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
subaccount_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
centos_ids: [123]
})
};
fetch('https://api.centosfi.com/v1/custom-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subaccount_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"members": [
{
"centos_id": 123,
"exchange_value": 123,
"exchange_name": "<string>",
"ticker": "<string>",
"token_id_yes": "<string>",
"token_id_no": "<string>",
"slug": "<string>",
"tick_size_price": 123,
"tick_size_qty": 123,
"minimum_order_size": 123,
"neg_risk": true,
"neg_risk_id": "<string>",
"condition_id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "active",
"expiration_datetime": "2023-11-07T05:31:56Z",
"category": "Other",
"rank": 123
}
],
"inserted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Custom Assets
Create Custom Asset
Create a new custom asset.
POST
/
v1
/
custom-assets
Create Custom Asset
Body
application/json
Response
Successful Response
Response schema for a custom asset with its members (detail view).
Show child attributes
Show child attributes
Creation timestamp (UTC)
Last update timestamp (UTC)
⌘I

